Package icyllis.arc3d.engine

# Interface Engine.VertexAttribType

Enclosing interface:
  `Engine`

public static interface Engine.VertexAttribType
Types used to describe format of vertices in arrays.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `kByte`
  `static final byte`
  `kByte2`
  `static final byte`
  `kByte4`
  `static final byte`
  `kFloat`
  `static final byte`
  `kFloat2`
  `static final byte`
  `kFloat3`
  `static final byte`
  `kFloat4`
  `static final byte`
  `kHalf`
  `static final byte`
  `kHalf2`
  `static final byte`
  `kHalf4`
  `static final byte`
  `kInt`
  `static final byte`
  `kInt2`
  `static final byte`
  `kInt3`
  `static final byte`
  `kInt4`
  `static final byte`
  `kLast`
  `static final byte`
  `kShort2`
  `static final byte`
  `kShort4`
  `static final byte`
  `kUByte`
  `static final byte`
  `kUByte_norm`
  `static final byte`
  `kUByte2`
  `static final byte`
  `kUByte4`
  `static final byte`
  `kUByte4_norm`
  `static final byte`
  `kUInt`
  `static final byte`
  `kUShort_norm`
  `static final byte`
  `kUShort2`
  `static final byte`
  `kUShort2_norm`
  `static final byte`
  `kUShort4_norm`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static int`
  `size(byte type)`

- ## Field Details

  - ### kFloat

    static final byte kFloat
    See Also:
      - Constant Field Values

  - ### kFloat2

    static final byte kFloat2
    See Also:
      - Constant Field Values

  - ### kFloat3

    static final byte kFloat3
    See Also:
      - Constant Field Values

  - ### kFloat4

    static final byte kFloat4
    See Also:
      - Constant Field Values

  - ### kHalf

    static final byte kHalf
    See Also:
      - Constant Field Values

  - ### kHalf2

    static final byte kHalf2
    See Also:
      - Constant Field Values

  - ### kHalf4

    static final byte kHalf4
    See Also:
      - Constant Field Values

  - ### kInt2

    static final byte kInt2
    See Also:
      - Constant Field Values

  - ### kInt3

    static final byte kInt3
    See Also:
      - Constant Field Values

  - ### kInt4

    static final byte kInt4
    See Also:
      - Constant Field Values

  - ### kByte

    static final byte kByte
    See Also:
      - Constant Field Values

  - ### kByte2

    static final byte kByte2
    See Also:
      - Constant Field Values

  - ### kByte4

    static final byte kByte4
    See Also:
      - Constant Field Values

  - ### kUByte

    static final byte kUByte
    See Also:
      - Constant Field Values

  - ### kUByte2

    static final byte kUByte2
    See Also:
      - Constant Field Values

  - ### kUByte4

    static final byte kUByte4
    See Also:
      - Constant Field Values

  - ### kUByte_norm

    static final byte kUByte_norm
    See Also:
      - Constant Field Values

  - ### kUByte4_norm

    static final byte kUByte4_norm
    See Also:
      - Constant Field Values

  - ### kShort2

    static final byte kShort2
    See Also:
      - Constant Field Values

  - ### kShort4

    static final byte kShort4
    See Also:
      - Constant Field Values

  - ### kUShort2

    static final byte kUShort2
    See Also:
      - Constant Field Values

  - ### kUShort2_norm

    static final byte kUShort2_norm
    See Also:
      - Constant Field Values

  - ### kInt

    static final byte kInt
    See Also:
      - Constant Field Values

  - ### kUInt

    static final byte kUInt
    See Also:
      - Constant Field Values

  - ### kUShort_norm

    static final byte kUShort_norm
    See Also:
      - Constant Field Values

  - ### kUShort4_norm

    static final byte kUShort4_norm
    See Also:
      - Constant Field Values

  - ### kLast

    static final byte kLast
    See Also:
      - Constant Field Values

- ## Method Details

  - ### size

    static int size(byte type)
    Returns:
      size in bytes